package com.sunxung.factoring.entity.fundmanagement.vo;

import com.sunxung.factoring.entity.sys.FileStorage;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description : sop底层信息Vo类
 * @Author : L.Jia
 * @Date: 2023-03-01 15:10
 */

public class DomesticAccountsReceivableVo {

    /**
     * 底层资产Id
     */
    private Long underlyingAssetsDomesticId;

    /**
     * 基础交易合同编号
     **/
    private String contractNo;

    /**
     * 合同金额
     **/
    private BigDecimal contractAmount;

    /**
     * 应收账款期限
     **/
    private String term;

    /**
     * 应收账款金额
     **/
    private BigDecimal accountsReceivableAmount;

    /**
     * 应收账款附件
     **/
    private List<FileStorage> domesticAccountsReceivableFileList;

    public Long getUnderlyingAssetsDomesticId() {
        return underlyingAssetsDomesticId;
    }

    public void setUnderlyingAssetsDomesticId(Long underlyingAssetsDomesticId) {
        this.underlyingAssetsDomesticId = underlyingAssetsDomesticId;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public BigDecimal getContractAmount() {
        return contractAmount;
    }

    public void setContractAmount(BigDecimal contractAmount) {
        this.contractAmount = contractAmount;
    }

    public String getTerm() {
        return term;
    }

    public void setTerm(String term) {
        this.term = term;
    }

    public BigDecimal getAccountsReceivableAmount() {
        return accountsReceivableAmount;
    }

    public void setAccountsReceivableAmount(BigDecimal accountsReceivableAmount) {
        this.accountsReceivableAmount = accountsReceivableAmount;
    }

    public List<FileStorage> getDomesticAccountsReceivableFileList() {
        return domesticAccountsReceivableFileList;
    }

    public void setDomesticAccountsReceivableFileList(List<FileStorage> domesticAccountsReceivableFileList) {
        this.domesticAccountsReceivableFileList = domesticAccountsReceivableFileList;
    }
}
